GDB (xrefs)

Public Attributes | List of all members
linespec_location Struct Reference

`#include "location.h"`

## Public Attributes
symbol_name_match_type | match_type
char * | spec_string

## Detailed Description

Definition at line 71 of file location.h.

## Member Data Documentation

## ◆ match_type

symbol_name_match_type linespec_location::match_type

Definition at line 74 of file location.h.

Referenced by event_location_to_sals(), and event_location_to_string().

## ◆ spec_string

char* linespec_location::spec_string

Definition at line 77 of file location.h.

Referenced by event_location_to_sals(), event_location_to_string(), parse_breakpoint_sals(), strace_marker_create_sals_from_location(), and strace_marker_decode_location().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/location.h